curl --request PUT \
--url https://api.partoo.co/v2/messaging/templates/{template_id} \
--header 'Content-Type: application/json' \
--header 'x-APIKey: <api-key>' \
--data '
{
"title": "Quote request",
"icon": "๐",
"content": "{\"text\": \"Hello, thank you for your request. For a quote, please contact us at 0123456789.\" \"_version\": \"0.1\"}"
}
'import requests
url = "https://api.partoo.co/v2/messaging/templates/{template_id}"
payload = {
"title": "Quote request",
"icon": "๐",
"content": "{\"text\": \"Hello, thank you for your request. For a quote, please contact us at 0123456789.\" \"_version\": \"0.1\"}"
}
headers = {
"x-APIKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-APIKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Quote request',
icon: '๐',
content: '{"text": "Hello, thank you for your request. For a quote, please contact us at 0123456789." "_version": "0.1"}'
})
};
fetch('https://api.partoo.co/v2/messaging/templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "642bca3d2830e15c6806cc33",
"title": "Quote request",
"content": "{\"text\": \"Hello {{client_full_name}}, thank you for your request. For a quote, please contact us at 0123456789.\" \"_version\": \"0.1\"}",
"icon": "๐",
"org_id": 123,
"created_at": "2023-01-31T16:22:17.327878+00:00",
"updated_at": "2023-02-15T10:00:00.000000+00:00",
"usage_count": 50
}{
"errors": {
"authentication": "User not authenticated"
}
}{
"errors": {
"authorization": "Operation not allowed"
}
}{
"errors": {
"json": "Resource not found"
}
}Update message template
This endpoint allows updating an existing message template by its ID.
Authorizations
The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.
Path Parameters
Template id
Body
The new title of the template
"Quote request"
The new icon linked to the template
"๐"
The new template content as a stringified JSON object with "_version": "0.1" inside
"{\"text\": \"Hello, thank you for your request. For a quote, please contact us at 0123456789.\" \"_version\": \"0.1\"}"
Response
The message template created
"642bca3d2830e15c6806cc33"
The title of the message template.
"Quote request"
The content of the message template should be a stringified JSON object. This includes both the message content ("text") and the pair "_version": "0.1".
The "text" can contain placeholders (values from the enum above within double curly braces {{}}) that will be replaced with the actual values when the message is sent.
client_full_name, client_first_name, business_name, my_first_name, rb_link, address, website_url, phone_number "{\"text\": \"Hello {{client_full_name}}, thank you for your request. For a quote, please contact us at 0123456789.\" \"_version\": \"0.1\"}"
The icon associated with the message template.
"๐"
The organization ID that the message template belongs to.
123
The date and time when the message template was created, in ISO 8601 format.
"2023-01-31T16:22:17.327878+00:00"
The date and time when the message template was last updated, in ISO 8601 format.
"2023-02-15T10:00:00.000000+00:00"
The number of times the message template has been used.
50
Was this page helpful?